<?xml version="1.0" encoding="utf-8"?>
<androidx.drawerlayout.widget.DrawerLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/drawerLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent">
<!--    <androidx.appcompat.widget.Toolbar-->
<!--        android:id="@+id/toolbar"-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_marginTop="0dp"-->
<!--        android:layout_height="?attr/actionBarSize"-->
<!--        android:background="@color/myblue"-->
<!--        android:theme="@style/ThemeOverlay.AppCompat.Dark.ActionBar"-->
<!--        app:popupTheme="@style/ThemeOverlay.AppCompat.Light">-->
<!--    </androidx.appcompat.widget.Toolbar>-->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:orientation="vertical">

        <SearchView
            android:id="@+id/main_searchview"
            android:layout_width="wrap_content"
            android:layout_height="48dp"
            android:layout_marginTop="5dp"
            android:background="@drawable/edit_bg"
            android:iconifiedByDefault="false"
            android:queryHint="输入书名搜索" >
        </SearchView>
        <TextView
            android:id="@+id/textView4"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:layout_weight="1"
            android:text="图书榜单TOP15"/>
    </LinearLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="75dp"
        android:orientation="vertical">

        <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
            android:id="@+id/swipeRefresh"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerView"
                android:layout_width="match_parent"
                android:layout_margin="10dp"
                android:layout_height="match_parent">

            </androidx.recyclerview.widget.RecyclerView>
        </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

        <include layout="@layout/layout_bottom_navigation" />

    </RelativeLayout>

    <com.google.android.material.navigation.NavigationView
        android:id="@+id/navView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="left"
        app:headerLayout="@layout/nav_header"
        app:menu="@menu/nav_menu" />

</androidx.drawerlayout.widget.DrawerLayout>